MONGOC_APM_SET_TOPOLOGY_CLOSED_CB(3)

NAME
mongoc_apm_set_topology_closed_cb - mongoc_apm_set_topology_closed_cb()

SYNOPSIS

typedef void (*mongoc_apm_topology_closed_cb_t) (
   const mongoc_apm_topology_closed_t *event);
void
mongoc_apm_set_topology_closed_cb (mongoc_apm_callbacks_t *callbacks,
                                   mongoc_apm_topology_closed_cb_t cb);

Receive an event notification whenever the driver stops monitoring a server topology and destroys its mongoc_topology_description_t.

PARAMETERS

•   callbacks: A mongoc_apm_callbacks_t.

•   cb: A function to call with a mongoc_apm_topology_closed_t whenever the driver stops monitoring a server topology and destroys its mongoc_topology_description_t.

SEE ALSO

Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc